package com.mogo.cloud.location.third.core;

import android.content.Context;

public class LocUploadConfig {

    private Context context;

    private String appId;

    private long locInterval = 1000L;

    public static LocUploadConfig instance() {
        return SingletonHolder.INSTANCE;
    }

    private static class SingletonHolder {
        private static final LocUploadConfig INSTANCE = new LocUploadConfig();
    }

    public long getLocInterval() {
        return locInterval;
    }

    public LocUploadConfig setLocInterval(long locInterval) {
        this.locInterval = locInterval;
        return this;
    }

    public Context getContext() {
        return context;
    }

    public LocUploadConfig setContext(Context context) {
        this.context = context;
        return this;
    }

    public String getAppId() {
        return appId;
    }

    public LocUploadConfig setAppId(String appId) {
        this.appId = appId;
        return this;
    }
}
